DataBindingSource (Grails 3.3.2)
Date: 2017-11-24

Package: grails.databinding

## [Java] Interface DataBindingSource

- A DataBindingSource is a lot like a Map but is read-only and is tailored to support data binding.

  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `containsProperty(java.lang.String propertyName)` @param propertyName the name of a property
    `` | `java.lang.Object` | `getAt(java.lang.String propertyName)` Convencience operator overloading
    `` | `java.lang.Object` | `getIdentifierValue()` @return the identifier value for binding or null if no identifier is represented by this binding source
    `` | `java.util.Set<java.lang.String>` | `getPropertyNames()` @return the names of properties represented
    `` | `java.lang.Object` | `getPropertyValue(java.lang.String propertyName)` @param propertyName the name of a property
    `` | `boolean` | `hasIdentifier()` @return true if this binding source contains an identifier for binding
    `` | `boolean` | `isDataSourceAware()` @return true if GORM operations should be enabled when binding with this DataBindingSource
    `` | `void` | `setDataSourceAware(boolean isDataSourceAware)` @param isDataSourceAware true if GORM operations should be enabled when binding with this DataBindingSource
    `` | `int` | `size()` @return the number of properties represented by this binding source

- - ### Method Detail

    - #### public boolean containsProperty(java.lang.String propertyName)

      Parameters:
        `propertyName` - the name of a property
      Returns:
        true if propertyName is represented in the is binding source, otherwise false

    - #### public java.lang.Object getAt(java.lang.String propertyName)

      Convencience operator overloading

      Parameters:
        `propertyName` - the name of a property
      Returns:
        the value associated with propertyName, or null if propertyName is not represented

    - #### public java.lang.Object getIdentifierValue()

      Returns:
        the identifier value for binding or null if no identifier is represented by this binding source

    - #### public java.util.Set<java.lang.String> getPropertyNames()

      Returns:
        the names of properties represented

    - #### public java.lang.Object getPropertyValue(java.lang.String propertyName)

      Parameters:
        `propertyName` - the name of a property
      Returns:
        the value associated with propertyName, or null if propertyName is not represented

    - #### public boolean hasIdentifier()

      Returns:
        true if this binding source contains an identifier for binding

    - #### public boolean isDataSourceAware()

      Returns:
        true if GORM operations should be enabled when binding with this DataBindingSource

    - #### public void setDataSourceAware(boolean isDataSourceAware)

      Parameters:
        `isDataSourceAware` - true if GORM operations should be enabled when binding with this DataBindingSource

    - #### public int size()

      Returns:
        the number of properties represented by this binding source